/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/BOPT.H__   1.5   20 Jun 1996 09:29:54   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/BOPT.H__  $
** 
**    Rev 1.5   20 Jun 1996 09:29:54   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:32   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:36:38   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// bopt.h
//
// Michael Long
//                                                                           
// 5/13/1996
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _BOPT_
#define _BOPT_

class BOption : public CProjectOption
{
// constructor/destructor
public:
    BOption() {;}
    virtual ~BOption() {;}
    
// attributes
public:
    BCTool m_bcTool;
    BATool m_baTool;
    BLTool m_blTool;
    BLIBTool m_blibTool;
    BETool m_beTool;                         
    
// implementation
public:
    virtual int GetFileType(LPCSTR lpcszFile) const;
    BOOL CreateLinkCmdFile(const CStringList &lst, LPCSTR lpcszProj );                          
    BOOL WriteBatchFile(FILE * fp, LPCSTR lpcszText);
// operations
public:
    virtual void SetOption(CWnd *pParent);  
    virtual BOOL SaveOption(FILE * fp);
    virtual BOOL LoadOption(FILE * fp);
    
    virtual void Build(const CStringList &lst, LPCSTR lpcszProj);
    virtual void Editor(void);
} ;

#endif


